import unittest
import datetime
from gwtimeutils import timedelta2seconds


class Timedelta2seconds(unittest.TestCase):

    def testValidInput(self):
        """timedelta2seconds - valid data"""
        tests = ((None, None),
            (1, datetime.timedelta(seconds=1)),
            (86400, datetime.timedelta(days=1)),
            (3600, datetime.timedelta(hours=1)))
        for (expected, inpt) in tests:
            self.assertEqual(expected, timedelta2seconds(inpt))


if __name__ == '__main__':
    unittest.main()
