#!/usr/bin/env python
from iceCape import iceCape, BATT_EN, BATT_V
from MspJob import J_S_SENSSPCON
from datetime import time, timedelta
from gwlogging import logger 

if __name__ == "__main__":
    gum = iceCape()
    logger.info("link opened")
    gum.set_datetime()
    logger.info("date time set")
    gum.clear_job_table()
    logger.info("jobs cleared")
    gum.add_job(J_S_SENSSPCON,
            time(minute=5),
            timedelta(minutes=1),
            None,
            BATT_EN,
            BATT_V)
    logger.info("Schedule Set")
